Package org.apache.synapse.transport.passthru.core

## Enum IOReactorSharingMode

- java.lang.Object
- - java.lang.Enum<IOReactorSharingMode>
  - - org.apache.synapse.transport.passthru.core.IOReactorSharingMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<IOReactorSharingMode>`

      public enum IOReactorSharingMode
      extends Enum<IOReactorSharingMode>

  States of the IOReactor sharing among HTTP Axis2 Listeners and Inbound Endpoints

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SHARED` | Seperate IO Reactor for all Axis2 Listeners and share one IO Reactor among Inbound Endpoints
    `UNSHARED` | Seperate IO Reactor for all Axis2 Listeners and seperate IOReactor for Inbound Endpoints

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IOReactorSharingMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static IOReactorSharingMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHARED

          public static final IOReactorSharingMode SHARED

      Seperate IO Reactor for all Axis2 Listeners and share one IO Reactor among Inbound Endpoints

    - #### UNSHARED

          public static final IOReactorSharingMode UNSHARED

      Seperate IO Reactor for all Axis2 Listeners and seperate IOReactor for Inbound Endpoints

  - ### Method Detail

    - #### values

          public static IOReactorSharingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IOReactorSharingMode c : IOReactorSharingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IOReactorSharingMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null